=== debian/changelog ===
openvdb (0.102.0-1) unstable; urgency=low

  * New upstream. Toward OpenVDB 1.0
  * Refresh patches
  * Update related to the copy-on-write changes.
  * Update Std-Vers to 3.9.4, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 19 Dec 2012 21:36:13 +0000

openvdb (0.99.0-2) unstable; urgency=low

  * Remove patch level from source code. Closes: #695665
  * Fix compilation on powerpc/x86. Closes: #695689
  * Execute the test suite in verbose mode

 -- Mathieu Malaterre <malat@debian.org>  Wed, 12 Dec 2012 12:30:03 +0100

openvdb (0.99.0-1) unstable; urgency=low

  * Initial upload to Debian.  Closes: #689694

 -- Mathieu Malaterre <malat@debian.org>  Wed, 05 Dec 2012 13:16:06 +0100
