## openvdb 0.104.0

=== Makefile ===
--- 
+++ 
@@ -145,13 +145,13 @@
 
 LIBS := \
     -ldl -lm -lz \
-    -L $(HALF_LIB_DIR) $(HALF_LIB) \
-    -L $(TBB_LIB_DIR) $(TBB_LIB) \
+    -L$(HALF_LIB_DIR) $(HALF_LIB) \
+    -L$(TBB_LIB_DIR) $(TBB_LIB) \
 #
 LIBS_RPATH := \
     -ldl -lm -lz \
-    -Wl,-rpath,$(HALF_LIB_DIR) -L $(HALF_LIB_DIR) $(HALF_LIB) \
-    -Wl,-rpath,$(TBB_LIB_DIR) -L $(TBB_LIB_DIR) $(TBB_LIB) \
+    -Wl,-rpath,$(HALF_LIB_DIR) -L$(HALF_LIB_DIR) $(HALF_LIB) \
+    -Wl,-rpath,$(TBB_LIB_DIR) -L$(TBB_LIB_DIR) $(TBB_LIB) \
 #
 ifdef LINUX
   LIBS += -lrt
@@ -200,12 +200,14 @@
     tools/Divergence.h \
     tools/Filter.h \
     tools/Gradient.h \
+    tools/GridOperators.h \
     tools/GridSampling.h \
     tools/GridTransformer.h \
+    tools/Interpolation.h \
     tools/Laplacian.h \
     tools/LevelSetAdvect.h \
     tools/LevelSetFilter.h \
-    tools/LevelSetMesher.h \
+    tools/LevelSetRebuild.h \
     tools/LevelSetSphere.h \
     tools/LevelSetTracker.h \
     tools/LevelSetUtil.h \
@@ -219,8 +221,8 @@
     tools/PointAdvect.h \
     tools/PointScatter.h \
     tools/QuadraticInterp.h \
-    tools/SpaceSampling.h \
     tools/ValueTransformer.h \
+    tools/VolumeToMesh.h \
     tree/InternalNode.h \
     tree/Iterator.h \
     tree/LeafArray.h \
@@ -278,7 +280,6 @@
     unittest/TestExceptions.cc \
     unittest/TestFile.cc \
     unittest/TestFloatMetadata.cc \
-    unittest/TestFrustum.cc \
     unittest/TestGradient.cc \
     unittest/TestGrid.cc \
     unittest/TestGridBbox.cc \
@@ -295,10 +296,10 @@
     unittest/TestLeafBool.cc \
     unittest/TestLeafIO.cc \
     unittest/TestLeafOrigin.cc \
-    unittest/TestLevelSetMesher.cc \
     unittest/TestLevelSetUtil.cc \
     unittest/TestLinearInterp.cc \
     unittest/TestMaps.cc \
+    unittest/TestMat4Metadata.cc \
     unittest/TestMeanCurvature.cc \
     unittest/TestMeshToVolume.cc \
     unittest/TestMetadata.cc \
@@ -307,10 +308,10 @@
     unittest/TestName.cc \
     unittest/TestNodeIterator.cc \
     unittest/TestParticlesToLevelSet.cc \
-    unittest/TestPlane.cc \
+    unittest/TestPrePostAPI.cc \
     unittest/TestQuadraticInterp.cc \
     unittest/TestQuantizedUnitVec.cc \
-    unittest/TestRay.cc \
+    unittest/TestQuat.cc \
     unittest/TestStream.cc \
     unittest/TestStringMetadata.cc \
     unittest/TestTools.cc \
@@ -323,6 +324,7 @@
     unittest/TestValueAccessor.cc \
     unittest/TestVec2Metadata.cc \
     unittest/TestVec3Metadata.cc \
+    unittest/TestVolumeToMesh.cc \
 #
 
 DOC_FILES := doc/doc.txt doc/faq.txt doc/changes.txt doc/examplecode.txt doc/api_0_98_0.txt
@@ -415,6 +417,3 @@
 
 .SUFFIXES: .o .cc
 
-.PHONY: all clean depend doc install lib pdfdoc test
-
-.cc.o:
