=== debian/changelog ===
openvdb (0.104.0-1) unstable; urgency=low

  * New upstream
  * Remove patch applied upstream:
    - d/p/fix32bitscomp.patch
  * Use LDFLAGS to fix lintian warnings

 -- Mathieu Malaterre <malat@debian.org>  Sat, 16 Feb 2013 11:23:08 +0100

openvdb (0.103.1-1) unstable; urgency=low

  * New upstream
  * Refreshed patch:
    - debian/patches/fixversionnamesrc.patch

 -- Mathieu Malaterre <malat@debian.org>  Sat, 16 Feb 2013 10:45:00 +0100

openvdb (0.103.0-1) unstable; urgency=low

  * New upstream
  * Prefer SVG output in doxygen over heavy PNGs
    - debian/patches/use_svg.patch
  * Simplify doxygen B-D-I

 -- Mathieu Malaterre <malat@debian.org>  Mon, 14 Jan 2013 12:52:26 +0100
