=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-all-dev, libcppunit-dev, libglfw-dev
-Build-Depends-Indep: doxygen-latex
+Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev, libcppunit-dev, libglfw-dev
+Build-Depends-Indep: doxygen, graphviz
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/openvdb/trunk
 Standards-Version: 3.9.4
 
-Package: libopenvdb0.102
+Package: libopenvdb0.104
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,7 +25,7 @@
 Package: libopenvdb-dev
 Architecture: any
 Section: libdevel
-Depends: libopenvdb0.102 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenvdb0.104 (= ${binary:Version}), ${misc:Depends}
 Description: Sparse Volume Processing toolkit - dev
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of
