=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 ALLOPTS = $(BUILDDOC) HT=/usr HDSO=/usr/lib \
 					CPPUNIT_INCL_DIR=/usr/include CPPUNIT_LIB_DIR=/usr/lib \
 					GLFW_INCL_DIR=/usr/include/GL GLFW_LIB_DIR=/usr/lib \
-					LIBS_RPATH='-ldl -lm -lz -lHalf -ltbb' \
+					LIBS_RPATH='$(LDFLAGS) -ldl -lm -lz -lHalf -ltbb' \
 					verbose=yes debug=yes
 
 %:
@@ -29,8 +29,11 @@
 	cp -f $< $@
 
 override_dh_auto_build-arch:
-	ln -f -s . openvdb
+	test -h openvdb||ln -f -s . openvdb
 	dh_auto_build -- $(ALLOPTS)
+
+# No tests for now (too long to run):
+override_dh_auto_test-arch:
 
 override_dh_auto_build-indep:
 	$(MAKE) doc
