## openvdb 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2012 DreamWorks Animation LLC
+# Copyright (c) 2012-2013 DreamWorks Animation LLC
 #
 # All rights reserved. This software is distributed under the
 # Mozilla Public License 2.0 ( http://www.mozilla.org/MPL/2.0/ )
@@ -45,7 +45,7 @@
 #   clean               delete generated files from the local directory
 #   test                run tests
 #
-# Options:             
+# Options:
 #   shared=no           link executables against static OpenVDB libraries
 #                       (default: link against shared libraries)
 #   debug=yes           build with debugging symbols and without optimization
@@ -92,9 +92,9 @@
 
 # The directory containing glfw.h
 # (leave blank if GLFW is unavailable)
-GLFW_INCL_DIR := /usr/local/include/GL
+GLFW_INCL_DIR := /rel/third_party/glfw/glfw-2.7.4/include
 # The directory containing libglfw
-GLFW_LIB_DIR := /usr/local/lib
+GLFW_LIB_DIR := /rel/third_party/glfw/glfw-2.7.4/lib/x11
 GLFW_LIB := -lglfw
 
 # The Doxygen executable
@@ -169,19 +169,17 @@
     math/BBox.h \
     math/Coord.h \
     math/FiniteDifference.h \
-    math/Frustum.h \
     math/Hermite.h \
+    math/LegacyFrustum.h \
     math/Maps.h \
     math/Mat.h \
     math/Mat3.h \
     math/Mat4.h \
     math/Math.h \
     math/Operators.h \
-    math/Plane.h \
     math/Proximity.h \
     math/QuantizedUnitVec.h \
     math/Quat.h \
-    math/Ray.h \
     math/Stencils.h \
     math/Transform.h\
     math/Tuple.h\
@@ -194,38 +192,28 @@
     metadata/StringMetadata.h \
     openvdb.h \
     Platform.h \
+    PlatformConfig.h \
     tools/Composite.h \
-    tools/Cpt.h \
-    tools/Curl.h \
-    tools/Divergence.h \
     tools/Filter.h \
-    tools/Gradient.h \
     tools/GridOperators.h \
-    tools/GridSampling.h \
     tools/GridTransformer.h \
     tools/Interpolation.h \
-    tools/Laplacian.h \
     tools/LevelSetAdvect.h \
     tools/LevelSetFilter.h \
+    tools/LevelSetFracture.h \
     tools/LevelSetRebuild.h \
     tools/LevelSetSphere.h \
     tools/LevelSetTracker.h \
     tools/LevelSetUtil.h \
-    tools/LinearInterp.h \
-    tools/Magnitude.h \
-    tools/MeanCurvature.h \
     tools/MeshToVolume.h \
     tools/Morphology.h \
-    tools/Normalize.h \
     tools/ParticlesToLevelSet.h \
     tools/PointAdvect.h \
     tools/PointScatter.h \
-    tools/QuadraticInterp.h \
     tools/ValueTransformer.h \
     tools/VolumeToMesh.h \
     tree/InternalNode.h \
     tree/Iterator.h \
-    tree/LeafArray.h \
     tree/LeafManager.h \
     tree/LeafNode.h \
     tree/LeafNodeBool.h \
@@ -307,6 +295,7 @@
     unittest/TestMetaMap.cc \
     unittest/TestName.cc \
     unittest/TestNodeIterator.cc \
+    unittest/TestNodeMask.cc \
     unittest/TestParticlesToLevelSet.cc \
     unittest/TestPrePostAPI.cc \
     unittest/TestQuadraticInterp.cc \
@@ -327,19 +316,17 @@
     unittest/TestVolumeToMesh.cc \
 #
 
-DOC_FILES := doc/doc.txt doc/faq.txt doc/changes.txt doc/examplecode.txt doc/api_0_98_0.txt
+DOC_FILES := doc/doc.txt doc/faq.txt doc/changes.txt doc/examplecode.txt doc/api_0_98_0.txt doc/math.txt
 DOC_INDEX := doc/html/index.html
 DOC_PDF := doc/latex/refman.pdf
 
 VIEWER_INCLUDE_NAMES := \
-    cmd/openvdb_view/MCTable.h \
     cmd/openvdb_view/RenderModules.h \
     cmd/openvdb_view/Viewer.h \
 #
 
 VIEWER_SRC_NAMES := \
     cmd/openvdb_view/main.cc \
-    cmd/openvdb_view/MCTable.cc \
     cmd/openvdb_view/RenderModules.cc \
     cmd/openvdb_view/Viewer.cc \
 #
@@ -417,3 +404,13 @@
 
 .SUFFIXES: .o .cc
 
+.PHONY: all clean depend doc install lib pdfdoc test
+
+.cc.o:
+	@echo "Building $@ because of $(call list_deps)"
+	$(CXX) -c $(CXXFLAGS) -fPIC -o $@ $<
+
+all: lib vdb_print vdb_test depend
+
+$(OBJ_NAMES): %.o: %.cc
+	@echo "Building $@ because of $(call list_deps)"
