=== debian/changelog ===
openvdb (1.1.0-1) unstable; urgency=low

  * 1.1.0 release
  * Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Wed, 10 Apr 2013 10:44:23 +0200

openvdb (1.0.0-1) unstable; urgency=low

  * 1.0 release, stable API
  * Upstream now ships source code as zip
  * Refresh patches
  * Use doxygen-latex package since latex is required for formulas

 -- Mathieu Malaterre <malat@debian.org>  Mon, 18 Mar 2013 13:11:20 +0100
