=== debian/rules ===
--- 
+++ 
@@ -75,4 +75,4 @@
 #	links -dump http://www.openvdb.org/documentation/changes.html | tail -n +7 > $@
 
 get-orig-source:
-	uscan --verbose --force-download --rename
+	uscan --verbose --force-download --rename --repack
