## openvdb 1.1.1

=== Makefile ===
--- 
+++ 
@@ -83,6 +83,14 @@
 TBB_LIB_DIR := $(HDSO)
 TBB_LIB := -ltbb
 
+# A scalable, concurrent malloc replacement library
+# such as jemalloc (included in the Houdini HDK) or TBB malloc
+# (leave blank if unavailable)
+CONCURRENT_MALLOC_LIB := -ljemalloc
+#CONCURRENT_MALLOC_LIB := -ltbbmalloc_proxy -ltbbmalloc
+# The directory containing the malloc replacement library
+CONCURRENT_MALLOC_LIB_DIR := $(HDSO)
+
 # The parent directory of the cppunit/ header directory
 # (leave blank if CppUnit is unavailable)
 CPPUNIT_INCL_DIR := /rel/map/generic-2011.15/sys_include
@@ -92,9 +100,9 @@
 
 # The directory containing glfw.h
 # (leave blank if GLFW is unavailable)
-GLFW_INCL_DIR := /rel/third_party/glfw/glfw-2.7.4/include
+GLFW_INCL_DIR := /rel/third_party/glfw/current/include
 # The directory containing libglfw
-GLFW_LIB_DIR := /rel/third_party/glfw/glfw-2.7.4/lib/x11
+GLFW_LIB_DIR := /rel/third_party/glfw/current/lib
 GLFW_LIB := -lglfw
 
 # The Doxygen executable
@@ -153,9 +161,14 @@
     -Wl,-rpath,$(HALF_LIB_DIR) -L$(HALF_LIB_DIR) $(HALF_LIB) \
     -Wl,-rpath,$(TBB_LIB_DIR) -L$(TBB_LIB_DIR) $(TBB_LIB) \
 #
+ifneq (,$(strip $(CONCURRENT_MALLOC_LIB)))
+ifneq (,$(strip $(CONCURRENT_MALLOC_LIB_DIR)))
+    LIBS_RPATH += -Wl,-rpath,$(CONCURRENT_MALLOC_LIB_DIR) -L$(CONCURRENT_MALLOC_LIB_DIR)
+endif
+endif
 ifdef LINUX
-  LIBS += -lrt
-  LIBS_RPATH += -lrt
+    LIBS += -lrt
+    LIBS_RPATH += -lrt
 endif
 
 INCLUDE_NAMES := \
@@ -180,6 +193,7 @@
     math/Proximity.h \
     math/QuantizedUnitVec.h \
     math/Quat.h \
+    math/Stats.h \
     math/Stencils.h \
     math/Transform.h\
     math/Tuple.h\
@@ -194,6 +208,7 @@
     Platform.h \
     PlatformConfig.h \
     tools/Composite.h \
+    tools/Dense.h \
     tools/Filter.h \
     tools/GridOperators.h \
     tools/GridTransformer.h \
@@ -210,6 +225,7 @@
     tools/ParticlesToLevelSet.h \
     tools/PointAdvect.h \
     tools/PointScatter.h \
+    tools/Statistics.h \
     tools/ValueTransformer.h \
     tools/VolumeToMesh.h \
     tree/InternalNode.h \
@@ -248,6 +264,7 @@
     math/Transform.cc \
     metadata/Metadata.cc \
     metadata/MetaMap.cc \
+    openvdb.cc \
     Platform.cc \
     util/Formats.cc \
     util/Util.cc \
@@ -263,6 +280,7 @@
     unittest/TestCoord.cc \
     unittest/TestCpt.cc \
     unittest/TestCurl.cc \
+    unittest/TestDense.cc \
     unittest/TestDivergence.cc \
     unittest/TestDoubleMetadata.cc \
     unittest/TestExceptions.cc \
@@ -301,6 +319,7 @@
     unittest/TestQuadraticInterp.cc \
     unittest/TestQuantizedUnitVec.cc \
     unittest/TestQuat.cc \
+    unittest/TestStats.cc \
     unittest/TestStream.cc \
     unittest/TestStringMetadata.cc \
     unittest/TestTools.cc \
@@ -383,34 +402,4 @@
     ifeq (yes,$(strip $(rpath)))
         LIBOPENVDB_RPATH := -Wl,-rpath,$(PWD)
     else
-        LIBOPENVDB_RPATH :=
-    endif # rpath
-endif # shared
-
-DEPEND := dependencies
-
-# Get the list of dependencies that are newer than the current target,
-# but limit the list to at most three entries.
-list_deps = $(if $(wordlist 4,5,$(?F)),$(firstword $(?F)) and others,$(wordlist 1,3,$(?F)))
-
-ALL_TARGETS := \
-    $(LIBOPENVDB) \
-    vdb_test \
-    vdb_print \
-    vdb_view \
-    $(DEPEND) \
-    $(LIBOPENVDB_NAME).so \
-#
-
-.SUFFIXES: .o .cc
-
-.PHONY: all clean depend doc install lib pdfdoc test
-
-.cc.o:
-	@echo "Building $@ because of $(call list_deps)"
-	$(CXX) -c $(CXXFLAGS) -fPIC -o $@ $<
-
-all: lib vdb_print vdb_test depend
-
-$(OBJ_NAMES): %.o: %.cc
-	@echo "Building $@ because of $(call list_deps)"
+        LIBOPENVDB_RPATH := -Wl,-rpath,$(INSTALL_DIR)/lib
