=== debian/changelog ===
openvdb (1.1.1-1tanglu1) staging; urgency=low

  * Backport fix715427.patch from openvdb 2.0.0-2.

 -- Jon Severinsson <jon@severinsson.net>  Mon, 03 Feb 2014 22:00:00 +0100

openvdb (1.1.1-1) unstable; urgency=low

  * New upstream. Need libjemalloc-dev as depends
  * Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Wed, 22 May 2013 21:17:32 +0200
