=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev, libcppunit-dev, libglfw-dev
+Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev, libcppunit-dev, libglfw-dev, libjemalloc-dev
 Build-Depends-Indep: doxygen-latex, graphviz
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
