=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 # No tests for now (too long to run):
 override_dh_auto_test-arch:
+	dh_auto_test || true
 
 override_dh_auto_build-indep:
 	$(MAKE) doc
